# ``igraph`.`io`.`random``

module documentation
(source)

Undocumented

Function | `_construct_random_geometric_graph` | Generates a random geometric graph.

def _construct_random_geometric_graph(cls, n, radius, torus=False): (source)

Generates a random geometric graph.

The algorithm drops the vertices randomly on the 2D unit square and connects them if they are closer to each other than the given radius. The coordinates of the vertices are stored in the vertex attributes `x` and `y`.

Parameters
cls | Undocumented
n | The number of vertices in the graph
radius | The given radius
torus | This should be `True` if we want to use a torus instead of a square.